## org.apache.batik.swing.svg
Interface GVTTreeBuilderListener

All Known Implementing Classes:
  AbstractJSVGComponent.SVGListener, GVTTreeBuilderAdapter, JSVGCanvas.CanvasSVGListener, JSVGComponent.ExtendedSVGListener, JSVGScrollPane.ScrollListener, JSVGViewerFrame

    public interface GVTTreeBuilderListener

This interface represents a listener to the GVTTreeBuilderEvent events.

Method Summary
`void` `gvtBuildCancelled(GVTTreeBuilderEvent e)` Called when a build was cancelled.
`void` `gvtBuildCompleted(GVTTreeBuilderEvent e)` Called when a build was completed.
`void` `gvtBuildFailed(GVTTreeBuilderEvent e)` Called when a build failed.
`void` `gvtBuildStarted(GVTTreeBuilderEvent e)` Called when a build started.

Method Detail

### gvtBuildStarted

    void gvtBuildStarted(GVTTreeBuilderEvent e)

  Called when a build started.

### gvtBuildCompleted

    void gvtBuildCompleted(GVTTreeBuilderEvent e)

  Called when a build was completed.

### gvtBuildCancelled

    void gvtBuildCancelled(GVTTreeBuilderEvent e)

  Called when a build was cancelled.

### gvtBuildFailed

    void gvtBuildFailed(GVTTreeBuilderEvent e)

  Called when a build failed.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.